package com.ruoyi.system.domain.vo;

import com.ruoyi.common.annotation.Excel;
import com.ruoyi.common.core.domain.BaseEntity;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import org.apache.commons.lang3.builder.ToStringBuilder;
import org.apache.commons.lang3.builder.ToStringStyle;

/**
 * 视频设备对象 video_info
 *
 * @author ruoyi
 * @date 2024-07-09
 */
@ApiModel(value = "直播相关参数")
public class VideoInfoVo {
    private static final long serialVersionUID = 1L;

    /**
     * 设备序列号
     */
    @ApiModelProperty("设备序列号")
    @Excel(name = "设备序列号")
    private String sn;

    /**
     * 摄像头索引
     */
    @ApiModelProperty("摄像头索引")
    @Excel(name = "摄像头索引")
    private String cameraIndex;

    /**
     * 视频索引
     */
    @ApiModelProperty("视频索引")
    @Excel(name = "视频索引")
    private String videoIndex;

    @ApiModelProperty("清晰度")
    @Excel(name = "清晰度")
    private Integer definition;

    @ApiModelProperty("视频服务器主机")
    private String host;
    @ApiModelProperty("rtmp端口")
    private String rtmpPort;
    @ApiModelProperty("webrtc端口")
    private String rtcPort;

    public String getHost() {
        return host;
    }

    public void setHost(String host) {
        this.host = host;
    }

    public String getRtmpPort() {
        return rtmpPort;
    }

    public void setRtmpPort(String rtmpPort) {
        this.rtmpPort = rtmpPort;
    }

    public String getRtcPort() {
        return rtcPort;
    }

    public void setRtcPort(String rtcPort) {
        this.rtcPort = rtcPort;
    }

    public Integer getDefinition() {
        return definition;
    }

    public void setDefinition(Integer definition) {
        this.definition = definition;
    }


    public String getGateway() {
        return gateway;
    }

    public void setGateway(String gateway) {
        this.gateway = gateway;
    }

    @ApiModelProperty("网关")
    @Excel(name = "网关")
    private String gateway;

    public void setSn(String sn) {
        this.sn = sn;
    }

    public String getSn() {
        return sn;
    }

    public void setCameraIndex(String cameraIndex) {
        this.cameraIndex = cameraIndex;
    }

    public String getCameraIndex() {
        return cameraIndex;
    }

    public void setVideoIndex(String videoIndex) {
        this.videoIndex = videoIndex;
    }

    public String getVideoIndex() {
        return videoIndex;
    }

    @Override
    public String toString() {
        return new ToStringBuilder(this, ToStringStyle.MULTI_LINE_STYLE)
                .append("sn", getSn())
                .append("cameraIndex", getCameraIndex())
                .append("videoIndex", getVideoIndex())
                .toString();
    }
}
